from jinja2 import Environment, PackageLoader, select_autoescape
from structures.index import Index


def gen_page(index: Index) -> str:
    env = Environment(
        loader=PackageLoader("static_gen"),
        autoescape=select_autoescape()
    )
    template = env.get_template('page.html')
    return template.render(sections=index.sections)
